# Config: Reporting Service
server:
  port: 9004

eureka:
  client:
    serviceUrl:
      defaultZone: http://localhost:8761/eureka/
      
logging:
  pattern: 
    console: "%d{yyyy-MM-dd HH:mm:ss} [%X{traceId:-},%X{spanId:-}] ${LOG_LEVEL_PATTERN:-%5p} %m%n"

springdoc:
  packagesToScan: com.ekart.reportingservice

spring:
  output:
    ansi:
      enabled: always

management:
  tracing:
    sampling:
      probability: 1.0